Manipulate object grips while python script is running

Hi clement,
I realized that i can actually use the move command in rhino while running GetObjectGrips method.
The fact that the gumball was not showing up made me think that i can’t edit the grips.

Do you know how i can make the gumball show up?

import rhinoscriptsyntax as rs

line = rs.GetObject("select line")
print ("line length=" + str(rs.CurveLength (line)))

rs.EnableObjectGrips (line, enable=True)
grips = rs.GetObjectGrips("Select curve grips")
#now i need the gumball on
print ("new line length=" + str(rs.CurveLength (line)))

Thanks.

According to this i can’t: